Part JoinEmbed: Difference between revisions

From FreeCAD Documentation
(Created page with "<translate> Under construction!! {{GuiCommand|Name=Part_JoinEmbed|MenuLocation=Part -> Join -> Embed Object|Workbenches=Part}} ==Description== <!--T:2--> Embed tool embeds...")
 
No edit summary
Line 38: Line 38:


Example:
Example:
[[Code|code=
{{code|code=
import JoinFeatures
import JoinFeatures
j = JoinFeatures.makePartJoinFeature(name = 'Connect', mode = 'Connect' )
j = JoinFeatures.makePartJoinFeature(name = 'Connect', mode = 'Connect' )
j.Base = FreeCADGui.Selection.getSelection()[0]
j.Base = FreeCADGui.Selection.getSelection()[0]
j.Tool = FreeCADGui.Selection.getSelection()[1]
j.Tool = FreeCADGui.Selection.getSelection()[1]
}}
]]
==Version==
==Version==
The tool was introduced in FreeCAD v0.16.5069
The tool was introduced in FreeCAD v0.16.5069

Revision as of 15:38, 4 June 2015

Under construction!!

Part_JoinEmbed

Menu location
Part -> Join -> Embed Object
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
None

Description

Embed tool embeds a walled object (e.g., a pipe) into another walled object.

image

How to use

  1. Select the base object first, then the object to be embedded.
  2. Invoke the Part_JoinEmbed command

Properties

Base

  • DataBase: Reference to base object (the one the other object is to be embedded into)
  • DataTool: Reference to tool object (the object to be embedded)
  • DataMode: The mode of operation, equals 'Embed' (Changing that will transform the tool into another Part_JoinXXX). The value of 'bypass' can be used to temporarily disable the long computations (a compound of Base and Tool will be created, which is a fast operation).
  • DataRefine: Sets whether to apply Refine operation or not, to the final shape.

Example

  1. Create a pipe by applying thickness to a cylinder:
  2. Create another, smaller diameter pipe, and place it so that it pierces the wall of the first pipe:
  3. Select the first pipe, then the second pipe (order of selection is important), and click the 'Embed object' option from the Join tools dropdown toolbar button.
  4. Use some cross-section tool (Base_CutView, Arch_SectionPlane, Arch_CutPlane) to reveal internals.

Scripting

The Join tools can by used in macros and from the python console by using the following function:

JoinFeatures.makePartJoinFeature(name = 'Embed', mode = 'Embed')
  • Creates an empty Embed feature (or other Join feature, depending on mode passed). The properties Base and Tool must be assigned explicitly, afterwards.
  • Returns the newly created object.

Example:

import JoinFeatures
j = JoinFeatures.makePartJoinFeature(name = 'Connect', mode = 'Connect' )
j.Base = FreeCADGui.Selection.getSelection()[0]
j.Tool = FreeCADGui.Selection.getSelection()[1]

Version

The tool was introduced in FreeCAD v0.16.5069